%global enable_tests 1

Name:           nodejs-assertion-error
Version:        1.0.0
Release:        1%{?dist}
Summary:        Error constructor for test and validation frameworks

License:        MIT
URL:            https://github.com/chaijs/assertion-error
Source0:        http://registry.npmjs.org/assertion-error/-/assertion-error-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        assertion-error-tests-%{version}.tar.bz2
Source10:       assertion-error-dl-tests.sh
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
Error constructor for test and validation frameworks that implements
standardized AssertionError specification.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/assertion-error
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/assertion-error
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif


%files
%doc README.md History.md
%{nodejs_sitelib}/assertion-error


%changelog
* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
